// @flow
const isProduction: boolean = process.env.NODE_ENV === 'production';

export default (condition: mixed, message: string) => {
  // wrapping entire block for better dead code elimination
  if (process.env.NODE_ENV !== 'production') {
    // condition passed: do not log
    if (condition) {
      return;
    }
    // Condition not passed
    console.warn(message);
  }
};
